Rails.application.routes.draw do
	locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
	scope "(:locale)", locale: Regexp.new(locales.join("|")) do
		namespace :admin do
			get 'certificate_setting' => "certificates#setting"
			resources :certificates do
				collection do
					get 'toggle_hide' => 'certificates#toggle_hide'
					get 'analysis'
					get 'analysis_report'
					get "download_excel"
				end
			end

			resources :members do
				collection do
				  scope '(:name-:uid)' do
					resources :certificates do
						collection do
							get 'frontend_setting' => 'certificates#frontend_setting'
							post 'update_frontend_setting' => 'certificates#update_frontend_setting'
						end
					end
				  end
				end
			end
			resources :certificate_categories
		end
		get "/xhr/personal_certificate/get_fields_for_index" => "personal_certificates#get_fields_for_index"
        post "/xhr/personal_certificate/save_index_fields" => "personal_certificates#save_index_fields"
	end
end